Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007101OCaml~DO NOT USE (was: OCaml general)public2015-12-18 15:492017-02-16 15:18
Reporterfrisch 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.03.0+dev / +beta1 
Summary0007101: The toplevel does not close in_channel for libraries specified on its command line.
Description
$ cat foo.ml
Gc.compact ();;
$ OCAMLRUNPARAM=W=1 boot/ocamlrun ./ocaml unix.cma foo.ml
[ocaml] (use Sys.enable_runtime_warnings to control these warnings)
[ocaml] channel opened on file 'C:/ocamlms/lib\unix.cma' dies without being closed



Thanks you, "W=1"!
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015175)
frisch (developer)
2015-12-18 15:55

Fixed by commit f6b5c9d.

- Issue History
Date Modified Username Field Change
2015-12-18 15:49 frisch New Issue
2015-12-18 15:49 frisch Description Updated View Revisions
2015-12-18 15:55 frisch Note Added: 0015175
2015-12-18 15:55 frisch Status new => resolved
2015-12-18 15:55 frisch Fixed in Version => 4.03.0+dev / +beta1
2015-12-18 15:55 frisch Resolution open => fixed
2015-12-18 15:55 frisch Assigned To => frisch
2017-02-16 15:18 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker